NetworkPermission (Java SE 25 & JDK 25)
Description: declaration: module: jdk.net, package: jdk.net, class: NetworkPermission
Keywords: jdk.net.NetworkPermission class

# Class NetworkPermission

java.lang.Object
java.security.Permission
java.security.BasicPermission
jdk.net.NetworkPermission

All Implemented Interfaces:
  `Serializable, Guard`

@Deprecated(since="25", forRemoval=true) public final class NetworkPermission extends BasicPermission
Deprecated, for removal: This API element is subject to removal in a future version.
This permission cannot be used for controlling access to resources as the Security Manager is no longer supported.
Represents permission to access the extended networking capabilities defined in the jdk.net package. These permissions contain a target name, but no actions list. Callers either possess the permission or not.

Since:
  1.8
See Also:
  - `ExtendedSocketOptions`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NetworkPermission(String name)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Creates a NetworkPermission with the given target name.
  `NetworkPermission(String name, String actions)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Creates a NetworkPermission with the given target name.

- ## Method Summary

  ### Methods declared in class BasicPermission

  `equals, getActions, hashCode, implies, newPermissionCollection`

  ### Methods declared in class Permission

  `checkGuard, getName, toString`

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NetworkPermission

    public NetworkPermission(String name)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Creates a NetworkPermission with the given target name.
    Parameters:
      `name` - the permission target name
    Throws:
      `NullPointerException` - if `name` is `null`.
      `IllegalArgumentException` - if `name` is empty.

  - ### NetworkPermission

    public NetworkPermission(String name, String actions)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Creates a NetworkPermission with the given target name.
    Parameters:
      `name` - the permission target name
      `actions` - should be `null`. Is ignored if not.
    Throws:
      `NullPointerException` - if `name` is `null`.
      `IllegalArgumentException` - if `name` is empty.